﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AdapaySDK
{
    class ConfigConstant
    {
        public const string BASE_URL = "https://api.adapay.tech";

        public const string PAGE_SERVER_BASE_URL = "https://page.adapay.tech";

        public const string RSA_PUB_KEY = "MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCwN6xgd6Ad8v2hIIsQVnbt8a3JituR8o4Tc3B5WlcFR55bz4OMqrG/356Ur3cPbc2Fe8ArNd/0gZbC9q56Eb16JTkVNA/fye4SXznWxdyBPR7+guuJZHc/VW2fKH2lfZ2P3Tt0QkKZZoawYOGSMdIvO+WqK44updyax0ikK6JlNQIDAQAB";
        /**
         * 异步监听token申请
         */
        public const string TOKEN_APPLY_V1 = "/v1/token/apply";
        /**
         * 异步监听token取消
         */
        public const string TOKEN_REVOKE_V1 = "/v1/token/revoke";


    }

    class MQTT_Constant {
        
        public static string MQTT_INSTANCE_ID = "post-cn-0pp18zowf0m";
        public static string MQTT_END_POINT = "post-cn-0pp18zowf0m.mqtt.aliyuncs.com";
        public static string MQTT_ACCESS_KEY = "LTAIOP5RkeiuXieW";
        public static string MQTT_CLIENT_ID_PREFIX = "GID_CRHS_ASYN@@@";
        public static string MQTT_TOPIC_PREFIX = "topic_crhs_sender/";

    }
    class APIUrlEnum
    {

        /**
         * 支付
         */
        public const string PAYMENT_V1 = "/v1/payments";
        /**
         * 支付查询
         */
        public const string QUERY_PAYMENT_V1 = "/v1/payments/";
        /**
         * 关单
         */
        public const string CLOSE_PAYMENT_V1 = "/v1/payments/";

        /**
         * 支付撤销
         */
        public const string REVERSE_PAYMENT_V1 = "/v1/payments/reverse";

        /**
         * 查询支付撤销
         */
        public const string QUERY_REVERSE_PAYMENT_V1 = "/v1/payments/reverse/";

        /**
         * 支付撤销列表查询
         */
        public const string REVERSE_PAYMENT_LIST_V1 = "/v1/payments/reverse/list";

        /**
         * 支付确认
         */
        public const string CONFIRM_PAYMENT_V1 = "/v1/payments/confirm";

        /**
         * 支付确认查询
         */
        public const string QUERY_CONFIRM_PAYMENT_V1 = "/v1/payments/confirm/";

        /**
         * 支付确认列表查询
         */
        public const string CONFIRM_PAYMENT_LIST_V1 = "/v1/payments/confirm/list";

        /**
         * 退款
         */
        public const string REFUND_V1 = "/v1/payments/";
        /**
         * 退款查询
         */
        public const string QUERY_REFUND_V1 = "/v1/payments/refunds";

        /**
         * 创建用户
         */
        public const string MEMBER_V1 = "/v1/members";

        /**
         * 查询用户对象
         */
        public const string QUERY_MEMBER_V1 = "/v1/members/";

        /**
         * 查询用户列表
         */
        public const string QUERY_MEMBER_LIST_V1 = "/v1/members/list";
        /**
         * 更新用户
         */
        public const string UPDATE_MEMBER_V1 = "/v1/members/update";

        /**
         * 创建企业用户对象
         */
        public const string CORP_MEMBER_V1 = "/v1/corp_members";

        /**
         * 查询企业用户对象
         */
        public const string QUERY_CORP_MEMBER_V1 = "/v1/corp_members/";

        /**
         * 创建结算账户
         */
        public const string SETTLE_ACCOUNT_V1 = "/v1/settle_accounts";

        /**
         * 查询结算账户
         */
        public const string QUERY_SETTLE_ACCOUNT_V1 = "/v1/settle_accounts/";
        
        /**
         * 查询取现状态
         */
        public const string QUERY_CASHS_STAT_V1 = "/v1/cashs/stat";
        

        /**
         * 查询结算明细列表
         */
        public const string QUERY_SETTLE_DETAILS_V1 = "/v1/settle_accounts/settle_details";

        /**
         * 删除结算账户
         */
        public const string DELETE_SETTLE_ACCOUNT_V1 = "/v1/settle_accounts/delete";

        /**
         * 修改结算账户
         */
        public const string MODIFY_SETTLE_ACCOUNT_V1 = "/v1/settle_accounts/modify";

        /**
         * DOWNLOAD BILL
         */
        public const string BILL_DOWNLOAD_V1 = "/v1/bill/download";


        /**
         * 获取银联云闪付用户标识 
         */
        public const string UNION_USER_ID_V1 = "/v1/union/user_identity";

        /**
         * 查询帐户余额 
         */
        public const string QUERY_BALANCE = "/v1/settle_accounts/balance";

        /**
         * 帐户取现 
         */
        public const string DRAW_CASH = "/v1/cashs";


        /**
         * 页面支付 
         */
        public const string CREATE_PAGE_PAYMENT = "/v1/account/payment";

        /**
         * 用户登录 
         */
        public const string MEMBER_LOGIN = "/v1/walletLogin";

        /**
         * 创建收银台对象
         */
        public const string CREATE_CHECK_OUT = "/v1/checkout";
        


    }


}
